Sky Vaults
Returns Sky Protocol lending vaults (such as Savings USDS, Staked USDS, and Savings Dai) with supply, borrow, TVL, APY, and capacity metrics on Ethereum. Results can be filtered by vault or underlying token address and sorted by any supported column.
GET
https://api.cambrian.org/evm/lending/sky/vaults
Parameters
vault_address (string)
Sky vault address
underlying_address (string)
Underlying token address. See tokens for valid addresses.
chain_id (integer)
EVM chain ID.
min_tvl_usd (integer)
Minimum TVL Usd of the lending pool/vault
limit (integer)
Limit the number of results.
offset (integer)
Offset the results, allows you to skip a number of rows before starting to return rows.
order_asc (array)
List of column names to order by in ascending order divided by comma. Leave empty items to combine with descending order
order_desc (array)
List of column names to order by in descending order divided by comma. Leave empty items to combine with ascending order
Responses
Code
Description
200
Successful response
Media type: application/vnd.cambrian.table.v1.0.0+json
[
{
"columns": [
{
"name": "chainId",
"type": "UInt8"
},
{
"name": "protocolId",
"type": "String"
},
{
"name": "vaultAddress",
"type": "FixedString(42)"
},
{
"name": "symbol",
"type": "String"
},
{
"name": "vaultName",
"type": "String"
},
{
"name": "underlyingAddress",
"type": "String"
},
{
"name": "underlyingSymbol",
"type": "String"
},
{
"name": "supply",
"type": "Float64"
},
{
"name": "supplyUsd",
"type": "Float64"
},
{
"name": "borrow",
"type": "Nullable(Float64)"
},
{
"name": "borrowUsd",
"type": "Nullable(Float64)"
},
{
"name": "tvlUsd",
"type": "Float64"
},
{
"name": "availableLiquidityUsd",
"type": "Float64"
},
{
"name": "supplyCap",
"type": "Nullable(Float64)"
},
{
"name": "supplyCapUsd",
"type": "Nullable(Float64)"
},
{
"name": "borrowCap",
"type": "Nullable(Float64)"
},
{
"name": "borrowCapUsd",
"type": "Nullable(Float64)"
},
{
"name": "remainingCapacityUsd",
"type": "Nullable(Float64)"
},
{
"name": "supplyApy",
"type": "Nullable(Float64)"
},
{
"name": "borrowApy",
"type": "Nullable(Float64)"
},
{
"name": "netSupplyApy",
"type": "Nullable(Float64)"
},
{
"name": "performanceFee",
"type": "Nullable(Float64)"
},
{
"name": "managementFee",
"type": "Nullable(Float64)"
},
{
"name": "utilizationRate",
"type": "Nullable(Float64)"
},
{
"name": "ltv",
"type": "Nullable(Float64)"
},
{
"name": "borrowable",
"type": "Bool"
},
{
"name": "depositEnabled",
"type": "Bool"
},
{
"name": "updatedAt",
"type": "DateTime('UTC')"
}
],
"data": [
[
1,
"sky-lending",
"0xa3931d71877c0e7a3148cb7eb4463524fec27fbd",
"sUSDS",
"Savings USDS",
"0xdc035d45d973e3ec169d2276ddab16f1e407384f",
"USDS",
4697087387.534656,
4697087387.534656,
null,
null,
4697087387.534656,
4697087387.534656,
null,
null,
null,
null,
null,
0.03522379193427483,
null,
0.03522379193427483,
null,
null,
null,
null,
false,
true,
"2026-09-03T14:27:35+00:00"
],
[
1,
"sky-lending",
"0x99cd4ec3f88a45940936f469e4bb72a2a701eeb9",
"stUSDS",
"Staked USDS",
"0xdc035d45d973e3ec169d2276ddab16f1e407384f",
"USDS",
205839979.23579434,
205839979.23579434,
null,
null,
205839979.23579434,
205839979.23579434,
214000000,
214000000,
null,
null,
8160020.764205664,
0.05383669195428764,
null,
0.05383669195428764,
null,
null,
null,
null,
false,
true,
"2026-09-03T12:11:11+00:00"
],
[
1,
"sky-lending",
"0x83f20f44975d03b1b09e64809b757c47f942beea",
"sDAI",
"Savings Dai",
"0x6b175474e89094c44da98b954eedeac495271d0f",
"DAI",
166563348.4334195,
166563348.4334195,
null,
null,
166563348.4334195,
166563348.4334195,
null,
null,
null,
null,
null,
0.012508357850979479,
null,
0.012508357850979479,
null,
null,
null,
null,
false,
true,
"2026-09-03T14:00:00+00:00"
]
],
"rows": 3
}
]
400
Bad Request: Invalid request parameters or malformed request.
401
Unauthorized: Missing or invalid API key. Include X-API-Key header with your request.
403
Forbidden: Invalid API key or insufficient permissions to access this resource.
404
Not Found: Endpoint or resource does not exist.
408
Request Timeout: Request took too long to process. Try again.
500
Internal Server Error: An unexpected error occurred while processing your request.
503
Service Unavailable: The server is temporarily unable to handle the request. Please try again later.
Examples
1. List Sky Lending Vaults
Retrieve Sky Protocol lending vaults with a limit of 10 results.
curl
curl -X GET "https://api.cambrian.org/evm/lending/sky/vaults?limit=10" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"
Response:
JSON
1[
2 {
3 "columns": [
4 {
5 "name": "chainId",
6 "type": "UInt8"
7 },
8 {
9 "name": "protocolId",
10 "type": "String"
11 },
12 {
13 "name": "vaultAddress",
14 "type": "FixedString(42)"
15 },
16 {
17 "name": "symbol",
18 "type": "String"
19 },
20 {
21 "name": "vaultName",
22 "type": "String"
23 },
24 {
25 "name": "underlyingAddress",
26 "type": "String"
27 },
28 {
29 "name": "underlyingSymbol",
30 "type": "String"
31 },
32 {
33 "name": "supply",
34 "type": "Float64"
35 },
36 {
37 "name": "supplyUsd",
38 "type": "Float64"
39 },
40 {
41 "name": "borrow",
42 "type": "Nullable(Float64)"
43 },
44 {
45 "name": "borrowUsd",
46 "type": "Nullable(Float64)"
47 },
48 {
49 "name": "tvlUsd",
50 "type": "Float64"
51 },
52 {
53 "name": "availableLiquidityUsd",
54 "type": "Float64"
55 },
56 {
57 "name": "supplyCap",
58 "type": "Nullable(Float64)"
59 },
60 {
61 "name": "supplyCapUsd",
62 "type": "Nullable(Float64)"
63 },
64 {
65 "name": "borrowCap",
66 "type": "Nullable(Float64)"
67 },
68 {
69 "name": "borrowCapUsd",
70 "type": "Nullable(Float64)"
71 },
72 {
73 "name": "remainingCapacityUsd",
74 "type": "Nullable(Float64)"
75 },
76 {
77 "name": "supplyApy",
78 "type": "Nullable(Float64)"
79 },
80 {
81 "name": "borrowApy",
82 "type": "Nullable(Float64)"
83 },
84 {
85 "name": "netSupplyApy",
86 "type": "Nullable(Float64)"
87 },
88 {
89 "name": "performanceFee",
90 "type": "Nullable(Float64)"
91 },
92 {
93 "name": "managementFee",
94 "type": "Nullable(Float64)"
95 },
96 {
97 "name": "utilizationRate",
98 "type": "Nullable(Float64)"
99 },
100 {
101 "name": "ltv",
102 "type": "Nullable(Float64)"
103 },
104 {
105 "name": "borrowable",
106 "type": "Bool"
107 },
108 {
109 "name": "depositEnabled",
110 "type": "Bool"
111 },
112 {
113 "name": "updatedAt",
114 "type": "DateTime('UTC')"
115 }
116 ],
117 "data": [
118 [
119 1,
120 "sky-lending",
121 "0xa3931d71877c0e7a3148cb7eb4463524fec27fbd",
122 "sUSDS",
123 "Savings USDS",
124 "0xdc035d45d973e3ec169d2276ddab16f1e407384f",
125 "USDS",
126 4697087387.534656,
127 4697087387.534656,
128 null,
129 null,
130 4697087387.534656,
131 4697087387.534656,
132 null,
133 null,
134 null,
135 null,
136 null,
137 0.03522379193427483,
138 null,
139 0.03522379193427483,
140 null,
141 null,
142 null,
143 null,
144 false,
145 true,
146 "2026-09-03T14:27:35+00:00"
147 ],
148 [
149 1,
150 "sky-lending",
151 "0x99cd4ec3f88a45940936f469e4bb72a2a701eeb9",
152 "stUSDS",
153 "Staked USDS",
154 "0xdc035d45d973e3ec169d2276ddab16f1e407384f",
155 "USDS",
156 205839979.23579434,
157 205839979.23579434,
158 null,
159 null,
160 205839979.23579434,
161 205839979.23579434,
162 214000000,
163 214000000,
164 null,
165 null,
166 8160020.764205664,
167 0.05383669195428764,
168 null,
169 0.05383669195428764,
170 null,
171 null,
172 null,
173 null,
174 false,
175 true,
176 "2026-09-03T12:11:11+00:00"
177 ],
178 [
179 1,
180 "sky-lending",
181 "0x83f20f44975d03b1b09e64809b757c47f942beea",
182 "sDAI",
183 "Savings Dai",
184 "0x6b175474e89094c44da98b954eedeac495271d0f",
185 "DAI",
186 166563348.4334195,
187 166563348.4334195,
188 null,
189 null,
190 166563348.4334195,
191 166563348.4334195,
192 null,
193 null,
194 null,
195 null,
196 null,
197 0.012508357850979479,
198 null,
199 0.012508357850979479,
200 null,
201 null,
202 null,
203 null,
204 false,
205 true,
206 "2026-09-03T14:00:00+00:00"
207 ]
208 ],
209 "rows": 3
210 }
211]
2 {
3 "columns": [
4 {
5 "name": "chainId",
6 "type": "UInt8"
7 },
8 {
9 "name": "protocolId",
10 "type": "String"
11 },
12 {
13 "name": "vaultAddress",
14 "type": "FixedString(42)"
15 },
16 {
17 "name": "symbol",
18 "type": "String"
19 },
20 {
21 "name": "vaultName",
22 "type": "String"
23 },
24 {
25 "name": "underlyingAddress",
26 "type": "String"
27 },
28 {
29 "name": "underlyingSymbol",
30 "type": "String"
31 },
32 {
33 "name": "supply",
34 "type": "Float64"
35 },
36 {
37 "name": "supplyUsd",
38 "type": "Float64"
39 },
40 {
41 "name": "borrow",
42 "type": "Nullable(Float64)"
43 },
44 {
45 "name": "borrowUsd",
46 "type": "Nullable(Float64)"
47 },
48 {
49 "name": "tvlUsd",
50 "type": "Float64"
51 },
52 {
53 "name": "availableLiquidityUsd",
54 "type": "Float64"
55 },
56 {
57 "name": "supplyCap",
58 "type": "Nullable(Float64)"
59 },
60 {
61 "name": "supplyCapUsd",
62 "type": "Nullable(Float64)"
63 },
64 {
65 "name": "borrowCap",
66 "type": "Nullable(Float64)"
67 },
68 {
69 "name": "borrowCapUsd",
70 "type": "Nullable(Float64)"
71 },
72 {
73 "name": "remainingCapacityUsd",
74 "type": "Nullable(Float64)"
75 },
76 {
77 "name": "supplyApy",
78 "type": "Nullable(Float64)"
79 },
80 {
81 "name": "borrowApy",
82 "type": "Nullable(Float64)"
83 },
84 {
85 "name": "netSupplyApy",
86 "type": "Nullable(Float64)"
87 },
88 {
89 "name": "performanceFee",
90 "type": "Nullable(Float64)"
91 },
92 {
93 "name": "managementFee",
94 "type": "Nullable(Float64)"
95 },
96 {
97 "name": "utilizationRate",
98 "type": "Nullable(Float64)"
99 },
100 {
101 "name": "ltv",
102 "type": "Nullable(Float64)"
103 },
104 {
105 "name": "borrowable",
106 "type": "Bool"
107 },
108 {
109 "name": "depositEnabled",
110 "type": "Bool"
111 },
112 {
113 "name": "updatedAt",
114 "type": "DateTime('UTC')"
115 }
116 ],
117 "data": [
118 [
119 1,
120 "sky-lending",
121 "0xa3931d71877c0e7a3148cb7eb4463524fec27fbd",
122 "sUSDS",
123 "Savings USDS",
124 "0xdc035d45d973e3ec169d2276ddab16f1e407384f",
125 "USDS",
126 4697087387.534656,
127 4697087387.534656,
128 null,
129 null,
130 4697087387.534656,
131 4697087387.534656,
132 null,
133 null,
134 null,
135 null,
136 null,
137 0.03522379193427483,
138 null,
139 0.03522379193427483,
140 null,
141 null,
142 null,
143 null,
144 false,
145 true,
146 "2026-09-03T14:27:35+00:00"
147 ],
148 [
149 1,
150 "sky-lending",
151 "0x99cd4ec3f88a45940936f469e4bb72a2a701eeb9",
152 "stUSDS",
153 "Staked USDS",
154 "0xdc035d45d973e3ec169d2276ddab16f1e407384f",
155 "USDS",
156 205839979.23579434,
157 205839979.23579434,
158 null,
159 null,
160 205839979.23579434,
161 205839979.23579434,
162 214000000,
163 214000000,
164 null,
165 null,
166 8160020.764205664,
167 0.05383669195428764,
168 null,
169 0.05383669195428764,
170 null,
171 null,
172 null,
173 null,
174 false,
175 true,
176 "2026-09-03T12:11:11+00:00"
177 ],
178 [
179 1,
180 "sky-lending",
181 "0x83f20f44975d03b1b09e64809b757c47f942beea",
182 "sDAI",
183 "Savings Dai",
184 "0x6b175474e89094c44da98b954eedeac495271d0f",
185 "DAI",
186 166563348.4334195,
187 166563348.4334195,
188 null,
189 null,
190 166563348.4334195,
191 166563348.4334195,
192 null,
193 null,
194 null,
195 null,
196 null,
197 0.012508357850979479,
198 null,
199 0.012508357850979479,
200 null,
201 null,
202 null,
203 null,
204 false,
205 true,
206 "2026-09-03T14:00:00+00:00"
207 ]
208 ],
209 "rows": 3
210 }
211]
x402 Payment Option
This endpoint supports pay-per-use access via the x402 payment protocol (v2): pay $0.05 USDC per request using blockchain micropayments. No API key required.
Quickstart (Typescript)
bash
npm install @x402/fetch @x402/evm viem
TypeScript
1import { x402Client } from "@x402/core/client";
2import { ExactEvmScheme } from "@x402/evm/exact/client";
3import { wrapFetchWithPayment } from "@x402/fetch";
4import { privateKeyToAccount } from "viem/accounts";
5const signer = privateKeyToAccount(process.env.EVM_PRIVATE_KEY as `0x${string}`);
6const client = new x402Client();
7client.register("eip155:*", new ExactEvmScheme(signer));
8const fetchWithPayment = wrapFetchWithPayment(fetch, client);
9const response = await fetchWithPayment(
10 "https://x402.cambrian.org/evm/lending/sky/vaults"
11);
12const data = await response.json();
2import { ExactEvmScheme } from "@x402/evm/exact/client";
3import { wrapFetchWithPayment } from "@x402/fetch";
4import { privateKeyToAccount } from "viem/accounts";
5const signer = privateKeyToAccount(process.env.EVM_PRIVATE_KEY as `0x${string}`);
6const client = new x402Client();
7client.register("eip155:*", new ExactEvmScheme(signer));
8const fetchWithPayment = wrapFetchWithPayment(fetch, client);
9const response = await fetchWithPayment(
10 "https://x402.cambrian.org/evm/lending/sky/vaults"
11);
12const data = await response.json();
Quickstart (Python)
bash
pip install "x402[httpx]"
Python
1import asyncio, os
2from eth_account import Account
3from x402 import x402Client
4from x402.http.clients import x402HttpxClient
5from x402.mechanisms.evm import EthAccountSigner
6from x402.mechanisms.evm.exact.register import register_exact_evm_client
7async def main():
8 client = x402Client()
9 account = Account.from_key(os.getenv("EVM_PRIVATE_KEY"))
10 register_exact_evm_client(client, EthAccountSigner(account))
11 async with x402HttpxClient(client) as http:
12 response = await http.get("https://x402.cambrian.org/evm/lending/sky/vaults")
13 print(response.json())
14asyncio.run(main())
2from eth_account import Account
3from x402 import x402Client
4from x402.http.clients import x402HttpxClient
5from x402.mechanisms.evm import EthAccountSigner
6from x402.mechanisms.evm.exact.register import register_exact_evm_client
7async def main():
8 client = x402Client()
9 account = Account.from_key(os.getenv("EVM_PRIVATE_KEY"))
10 register_exact_evm_client(client, EthAccountSigner(account))
11 async with x402HttpxClient(client) as http:
12 response = await http.get("https://x402.cambrian.org/evm/lending/sky/vaults")
13 print(response.json())
14asyncio.run(main())
Payment Flow
- Send a normal request to the endpoint (no API key needed)
- Server returns 402 Payment Required with payment details
- The x402 SDK automatically signs a payment authorization with your wallet
- The SDK resubmits the request with the signed payment
- Server verifies payment and returns the API response
The x402 SDK handles steps 2 through 5 automatically.
Network: Base (chain ID 8453) | Currency: USDC | Price: $0.05 per request